/* Generated by Frama-C */
#include "stddef.h"
#include "stdint.h"
#include "stdio.h"
extern  __attribute__((__FC_BUILTIN__)) int __e_acsl_sound_verdict;

struct toto {
   
};
int main(void)
{
  int __retres;
  struct toto s;
  struct toto *p;
  __e_acsl_memory_init((int *)0,(char ***)0,(size_t)8);
  __e_acsl_store_block((void *)(& p),(size_t)8);
  __e_acsl_store_block((void *)(& s),(size_t)0);
  {
    int __gen_e_acsl_valid;
    __e_acsl_assert_data_t __gen_e_acsl_assert_data = {.values = (void *)0};
    __e_acsl_assert_register_ptr(& __gen_e_acsl_assert_data,"&s",
                                 (void *)(& s));
    __e_acsl_assert_register_ulong(& __gen_e_acsl_assert_data,
                                   "sizeof(struct toto)",0,
                                   sizeof(struct toto));
    __gen_e_acsl_valid = __e_acsl_valid((void *)(& s),sizeof(struct toto),
                                        (void *)(& s),(void *)0);
    __e_acsl_assert_register_int(& __gen_e_acsl_assert_data,"\\valid(&s)",0,
                                 __gen_e_acsl_valid);
    __gen_e_acsl_assert_data.blocking = 1;
    __gen_e_acsl_assert_data.kind = "Assertion";
    __gen_e_acsl_assert_data.pred_txt = "\\valid(&s)";
    __gen_e_acsl_assert_data.file = "tests/bts/bts1700.i";
    __gen_e_acsl_assert_data.fct = "main";
    __gen_e_acsl_assert_data.line = 9;
    __e_acsl_assert(__gen_e_acsl_valid,& __gen_e_acsl_assert_data);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data);
  }
  /*@ assert \valid(&s); */ ;
  __e_acsl_full_init((void *)(& p));
  p = & s;
  {
    int __gen_e_acsl_initialized;
    int __gen_e_acsl_and;
    __e_acsl_assert_data_t __gen_e_acsl_assert_data_2 =
      {.values = (void *)0};
    __e_acsl_assert_register_ptr(& __gen_e_acsl_assert_data_2,"&p",
                                 (void *)(& p));
    __e_acsl_assert_register_ulong(& __gen_e_acsl_assert_data_2,
                                   "sizeof(struct toto *)",0,
                                   sizeof(struct toto *));
    __gen_e_acsl_initialized = __e_acsl_initialized((void *)(& p),
                                                    sizeof(struct toto *));
    __e_acsl_assert_register_int(& __gen_e_acsl_assert_data_2,
                                 "\\initialized(&p)",0,
                                 __gen_e_acsl_initialized);
    if (__gen_e_acsl_initialized) {
      int __gen_e_acsl_valid_2;
      __e_acsl_assert_register_ptr(& __gen_e_acsl_assert_data_2,"p",
                                   (void *)p);
      __e_acsl_assert_register_ulong(& __gen_e_acsl_assert_data_2,
                                     "sizeof(struct toto)",0,
                                     sizeof(struct toto));
      __gen_e_acsl_valid_2 = __e_acsl_valid((void *)p,sizeof(struct toto),
                                            (void *)p,(void *)(& p));
      __e_acsl_assert_register_int(& __gen_e_acsl_assert_data_2,"\\valid(p)",
                                   0,__gen_e_acsl_valid_2);
      __gen_e_acsl_and = __gen_e_acsl_valid_2;
    }
    else __gen_e_acsl_and = 0;
    __gen_e_acsl_assert_data_2.blocking = 1;
    __gen_e_acsl_assert_data_2.kind = "Assertion";
    __gen_e_acsl_assert_data_2.pred_txt = "\\valid(p)";
    __gen_e_acsl_assert_data_2.file = "tests/bts/bts1700.i";
    __gen_e_acsl_assert_data_2.fct = "main";
    __gen_e_acsl_assert_data_2.line = 12;
    __e_acsl_assert(__gen_e_acsl_and,& __gen_e_acsl_assert_data_2);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data_2);
  }
  /*@ assert \valid(p); */ ;
  __retres = 0;
  __e_acsl_delete_block((void *)(& p));
  __e_acsl_delete_block((void *)(& s));
  __e_acsl_memory_clean();
  return __retres;
}


